> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get billable consumption by metric per account

> Retrieve a report on billable consumption by given metric with per-account breakdown



## OpenAPI

````yaml /api-reference/services_docs_mintlify/waap_reseller_api.yaml get /v1/prebilling/breakdown/{metric}
openapi: 3.1.0
info:
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  title: Gcore OpenAPI – WAAP Reseller API
  version: '2026-06-30T10:55:00Z'
servers:
  - url: https://api.gcore.com
security: []
paths:
  /v1/prebilling/breakdown/{metric}:
    get:
      tags:
        - Pre-billing
      summary: Get billable consumption by metric per account
      description: >-
        Retrieve a report on billable consumption by given metric with
        per-account breakdown
      operationId: get_consumption_breakdown_v1_prebilling_breakdown__metric__get
      parameters:
        - name: metric
          in: path
          required: true
          schema:
            enum:
              - domains
              - volume
              - requests
            type: string
            description: The metric to get billable consumption for
            title: Metric
          description: The metric to get billable consumption for
        - name: client_ids
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  type: integer
              - type: 'null'
            description: >-
              List of client IDs to filter the billable consumption by, if
              specified
            examples:
              - - 1
                - 2
                - 3
            title: Client Ids
          description: >-
            List of client IDs to filter the billable consumption by, if
            specified
        - name: from
          in: query
          required: true
          schema:
            type: string
            format: date
            description: The report start date (inclusive) in ISO 8601 format
            title: From
          description: The report start date (inclusive) in ISO 8601 format
        - name: to
          in: query
          required: true
          schema:
            type: string
            format: date
            description: The report end date (exclusive) in ISO 8601 format
            title: To
          description: The report end date (exclusive) in ISO 8601 format
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 0
            description: Number of items to return
            default: 100
            title: Limit
          description: Number of items to return
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            maximum: 100000
            minimum: 0
            description: Number of items to skip
            default: 0
            title: Offset
          description: Number of items to skip
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/StructuredPaginatedResponse_BreakdownBillingReport_
        '400':
          description: Bad Request
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                type: http-bad-request
                title: Bad Request
                status: 400
                detail: 'Invalid domain name: '''''''''
        '401':
          description: Unauthorized
          content:
            application/problem+json:
              example:
                detail: Auth token is missing or invalid
        '403':
          description: Unauthenticated
          content:
            application/problem+json:
              example:
                detail: Permission denied
        '404':
          description: Not Found
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                type: http-not-found
                title: Not Found
                status: 404
                detail: The resource is not found
        '422':
          description: Unprocessable Entity
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APICompositeError'
              example:
                type: request-validation-failed
                title: Request validation error.
                status: 422
                detail: One or more fields have validation errors.
                errors:
                  - loc:
                      - body
                      - name
                    detail: Input should be a valid string
                  - loc:
                      - body
                      - date
                    detail: Field required
                  - loc:
                      - query
                      - limit
                    detail: Field required
        '500':
          description: Internal Server Error
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                type: internal-server-error
                title: Internal server error.
                status: 500
                detail: >-
                  An unexpected condition was encountered which prevented the
                  server from fulfilling the request.
      security:
        - Bearer: []
components:
  schemas:
    StructuredPaginatedResponse_BreakdownBillingReport_:
      properties:
        limit:
          type: integer
          title: Limit
          description: Number of items requested in the response
        offset:
          type: integer
          title: Offset
          description: Items response offset used
        count:
          type: integer
          title: Count
          description: Number of items contain in the response
        results:
          $ref: '#/components/schemas/BreakdownBillingReport'
          description: Items on the current page from the result set
      type: object
      required:
        - limit
        - offset
        - count
        - results
      title: StructuredPaginatedResponse[BreakdownBillingReport]
    APIError:
      properties:
        type:
          type: string
          title: Type
          description: A URI identifier that categorizes the type of error.
        title:
          type: string
          title: Title
          description: A brief, human-readable title for the error.
        status:
          type: integer
          title: Status
          description: The HTTP status code applicable to this error.
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          description: A detailed human-readable explanation of the error.
      type: object
      required:
        - type
        - title
        - status
        - detail
      title: APIError
    APICompositeError:
      properties:
        type:
          type: string
          title: Type
          description: A URI identifier that categorizes the type of error.
        title:
          type: string
          title: Title
          description: A brief, human-readable title for the error.
        status:
          type: integer
          title: Status
          description: The HTTP status code applicable to this error.
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          description: A detailed human-readable explanation of the error.
        errors:
          items:
            $ref: '#/components/schemas/APIFieldError'
          type: array
          title: Errors
          description: A list of detailed errors for individual fields.
      type: object
      required:
        - type
        - title
        - status
        - detail
        - errors
      title: APICompositeError
    BreakdownBillingReport:
      properties:
        clients:
          additionalProperties:
            items:
              $ref: '#/components/schemas/BillingReportItem'
            type: array
          type: object
          title: Clients
      type: object
      required:
        - clients
      title: BreakdownBillingReport
    APIFieldError:
      properties:
        loc:
          anyOf:
            - items:
                anyOf:
                  - type: integer
                  - type: string
              type: array
            - {}
          title: Loc
          description: The location of the field or a character number causing the error.
        detail:
          type: string
          title: Detail
          description: A human-readable message describing the error.
      type: object
      required:
        - loc
        - detail
      title: APIFieldError
    BillingReportItem:
      properties:
        date:
          type: string
          title: Date
          description: The date of the accrued billable consumption item
        amount:
          type: integer
          title: Amount
          description: The amount of the billable resource accrued on the date
      type: object
      required:
        - date
        - amount
      title: BillingReportItem
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````